# Uses of Class
org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter

Packages that use RequestMappingHandlerAdapter
Package
Description
org.springframework.web.servlet.config.annotation
Annotation-based setup for Spring MVC.

## Uses of RequestMappingHandlerAdapter in org.springframework.web.servlet.config.annotation

Methods in org.springframework.web.servlet.config.annotation that return RequestMappingHandlerAdapter
Modifier and Type
Method
Description
`protected RequestMappingHandlerAdapter`
WebMvcConfigurationSupport.`createRequestMappingHandlerAdapter()`
Protected method for plugging in a custom subclass of `RequestMappingHandlerAdapter`.
`RequestMappingHandlerAdapter`
WebMvcConfigurationSupport.`requestMappingHandlerAdapter(org.springframework.web.accept.ContentNegotiationManager contentNegotiationManager, org.springframework.format.support.FormattingConversionService conversionService, org.springframework.validation.Validator validator)`
Returns a `RequestMappingHandlerAdapter` for processing requests through annotated controller methods.
Methods in org.springframework.web.servlet.config.annotation with parameters of type RequestMappingHandlerAdapter
Modifier and Type
Method
Description
`org.springframework.web.method.support.CompositeUriComponentsContributor`
WebMvcConfigurationSupport.`mvcUriComponentsContributor(org.springframework.format.support.FormattingConversionService conversionService, RequestMappingHandlerAdapter requestMappingHandlerAdapter)`
Return an instance of `CompositeUriComponentsContributor` for use with `MvcUriComponentsBuilder`.